<?php
	
	/*---------------------------First highlight color-------------------*/

	$vw_magazine_first_color = get_theme_mod('vw_magazine_first_color');

	$vw_magazine_custom_css = '';

	if($vw_magazine_first_color != false){
		$vw_magazine_custom_css .='.top-banner .testbutton a, input[type="submit"], .posts_cat_btn, .sidebar h3, .sidebar input[type="submit"], .scrollup i, .sidebar .custom-social-icons i, .footer .custom-social-icons i, .date-monthwrap, .hvr-sweep-to-right:before, .pagination span, .pagination a, .woocommerce span.onsale, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, nav.woocommerce-MyAccount-navigation ul li, .scrollSlider div.scrollbar div.track, .heading-title, .sidebar .tagcloud a:hover, .footer .tagcloud a:hover, #comments a.comment-reply-link, .toggle-nav i, .footer .widget_price_filter .ui-slider .ui-slider-range, .footer .widget_price_filter .ui-slider .ui-slider-handle, .footer .woocommerce-product-search button, .sidebar .woocommerce-product-search button, .sidebar .widget_price_filter .ui-slider .ui-slider-range, .sidebar .widget_price_filter .ui-slider .ui-slider-handle, .footer a.custom_read_more, .sidebar a.custom_read_more:hover, .nav-previous a, .nav-next a, .woocommerce nav.woocommerce-pagination ul li a{';
			$vw_magazine_custom_css .='background-color: '.esc_attr($vw_magazine_first_color).';';
		$vw_magazine_custom_css .='}';
	}
	if($vw_magazine_first_color != false){
		$vw_magazine_custom_css .='#comments input[type="submit"].submit, .sidebar ul li::before, .sidebar ul.cart_list li::before, .sidebar ul.product_list_widget li::before{';
			$vw_magazine_custom_css .='background-color: '.esc_attr($vw_magazine_first_color).'!important;';
		$vw_magazine_custom_css .='}';
	}
	if($vw_magazine_first_color != false){
		$vw_magazine_custom_css .='a, .logo h1 a, .address i, #top-bar .custom-social-icons a:hover i, .posts_box i, .metabox span i, .post-navigation a:hover .post-title, .post-navigation a:focus .post-title, .latest_posts_box i, .footer li a:hover, .sidebar ul li a:hover, .footer .custom-social-icons i:hover, .entry-content a, .sidebar .textwidget p a, .textwidget p a, #comments p a, .slider .inner_carousel p a, .main-navigation ul.sub-menu a:hover, .main-navigation a:hover, .footer a.custom_read_more:hover, .logo h1 a, .logo p.site-title a, .post-main-box:hover h2 a, .post-main-box:hover .metabox a, .single-post .metabox:hover a{';
			$vw_magazine_custom_css .='color: '.esc_attr($vw_magazine_first_color).';';
		$vw_magazine_custom_css .='}';
	}
	if($vw_magazine_first_color != false){
		$vw_magazine_custom_css .='#top-bar{
			background: rgba(0, 0, 0, 0)linear-gradient(56deg,'.esc_attr($vw_magazine_first_color).' 34%, #11161d 16%) repeat scroll 0 0;
		}';
	}
	if($vw_magazine_first_color != false){
		$vw_magazine_custom_css .='.post-main-box:hover{';
			$vw_magazine_custom_css .='border-color: '.esc_attr($vw_magazine_first_color).';';
		$vw_magazine_custom_css .='}';
	}
	if($vw_magazine_first_color != false){
		$vw_magazine_custom_css .='.main-navigation ul ul{';
			$vw_magazine_custom_css .='border-top-color: '.esc_attr($vw_magazine_first_color).';';
		$vw_magazine_custom_css .='}';
	}
	if($vw_magazine_first_color != false){
		$vw_magazine_custom_css .='.main-navigation ul ul, .header-fixed{';
			$vw_magazine_custom_css .='border-bottom-color: '.esc_attr($vw_magazine_first_color).';';
		$vw_magazine_custom_css .='}';
	}
	
	/*---------------------------Width Layout -------------------*/

	$vw_magazine_theme_lay = get_theme_mod( 'vw_magazine_width_option','Full Width');
    if($vw_magazine_theme_lay == 'Boxed'){
		$vw_magazine_custom_css .='body{';
			$vw_magazine_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$vw_magazine_custom_css .='}';
	}else if($vw_magazine_theme_lay == 'Wide Width'){
		$vw_magazine_custom_css .='body{';
			$vw_magazine_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$vw_magazine_custom_css .='}';
	}else if($vw_magazine_theme_lay == 'Full Width'){
		$vw_magazine_custom_css .='body{';
			$vw_magazine_custom_css .='max-width: 100%;';
		$vw_magazine_custom_css .='}';
	}

	/*--------------------------- Slider -------------------*/

	$vw_magazine_category = get_theme_mod('vw_magazine_post_carousel_category');
	if($vw_magazine_category == false){
		$vw_magazine_custom_css .='.page-template-custom-home-page #header{';
			$vw_magazine_custom_css .='margin-bottom: 20px;';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_topbar = get_theme_mod('vw_magazine_topbar_hide_show');
	if($vw_magazine_topbar == false){
		$vw_magazine_custom_css .='#header-top{';
			$vw_magazine_custom_css .='margin-top: 32px;';
		$vw_magazine_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$vw_magazine_theme_lay = get_theme_mod( 'vw_magazine_blog_layout_option','Default');
    if($vw_magazine_theme_lay == 'Default'){
		$vw_magazine_custom_css .='.post-main-box{';
			$vw_magazine_custom_css .='';
		$vw_magazine_custom_css .='}';
		$vw_magazine_custom_css .='.post-main-box h2{';
			$vw_magazine_custom_css .='padding:0;';
		$vw_magazine_custom_css .='}';
		$vw_magazine_custom_css .='.new-text p{';
			$vw_magazine_custom_css .='margin-top:10px;';
		$vw_magazine_custom_css .='}';
		$vw_magazine_custom_css .='.blogbutton-small{';
			$vw_magazine_custom_css .='margin: 0; display: inline-block;';
		$vw_magazine_custom_css .='}';
	}else if($vw_magazine_theme_lay == 'Center'){
		$vw_magazine_custom_css .='.post-main-box, .post-main-box h2, .new-text p, .metabox, .content-bttn{';
			$vw_magazine_custom_css .='text-align:center;';
		$vw_magazine_custom_css .='}';
		$vw_magazine_custom_css .='.new-text p{';
			$vw_magazine_custom_css .='margin-top:0;';
		$vw_magazine_custom_css .='}';
		$vw_magazine_custom_css .='.metabox{';
			$vw_magazine_custom_css .='background: #eeeeee; padding: 10px; margin-bottom: 15px;';
		$vw_magazine_custom_css .='}';
		$vw_magazine_custom_css .='.blogbutton-small{';
			$vw_magazine_custom_css .='margin: 0; display: inline-block;';
		$vw_magazine_custom_css .='}';
	}else if($vw_magazine_theme_lay == 'Left'){
		$vw_magazine_custom_css .='.post-main-box, .post-main-box h2, .new-text p, .content-bttn{';
			$vw_magazine_custom_css .='text-align:Left;';
		$vw_magazine_custom_css .='}';
		$vw_magazine_custom_css .='.metabox{';
			$vw_magazine_custom_css .='background: #eeeeee; padding: 10px; margin-bottom: 15px;';
		$vw_magazine_custom_css .='}';
	}

		/*------------------------------Responsive Media -----------------------*/

	$vw_magazine_resp_topbar = get_theme_mod( 'vw_magazine_resp_topbar_hide_show',false);
	if($vw_magazine_resp_topbar == true && get_theme_mod( 'vw_magazine_topbar_hide_show', false) == false){
    	$vw_magazine_custom_css .='#top-bar{';
			$vw_magazine_custom_css .='display:none;';
		$vw_magazine_custom_css .='} ';
	}
    if($vw_magazine_resp_topbar == true){
    	$vw_magazine_custom_css .='@media screen and (max-width:575px) {';
		$vw_magazine_custom_css .='#top-bar{';
			$vw_magazine_custom_css .='display:block;';
		$vw_magazine_custom_css .='} }';
	}else if($vw_magazine_resp_topbar == false){
		$vw_magazine_custom_css .='@media screen and (max-width:575px) {';
		$vw_magazine_custom_css .='#top-bar{';
			$vw_magazine_custom_css .='display:none;';
		$vw_magazine_custom_css .='} }';
	}

	$vw_magazine_resp_stickyheader = get_theme_mod( 'vw_magazine_stickyheader_hide_show',false);
	if($vw_magazine_resp_stickyheader == true && get_theme_mod( 'vw_magazine_sticky_header',false) != true){
    	$vw_magazine_custom_css .='.header-fixed{';
			$vw_magazine_custom_css .='position:static;';
		$vw_magazine_custom_css .='} ';
	}
    if($vw_magazine_resp_stickyheader == true){
    	$vw_magazine_custom_css .='@media screen and (max-width:575px) {';
		$vw_magazine_custom_css .='.header-fixed{';
			$vw_magazine_custom_css .='position:fixed;';
		$vw_magazine_custom_css .='} }';
	}else if($vw_magazine_resp_stickyheader == false){
		$vw_magazine_custom_css .='@media screen and (max-width:575px){';
		$vw_magazine_custom_css .='.header-fixed{';
			$vw_magazine_custom_css .='position:static;';
		$vw_magazine_custom_css .='} }';
	}

	$vw_magazine_resp_metabox = get_theme_mod( 'vw_magazine_metabox_hide_show',true);
    if($vw_magazine_resp_metabox == true){
    	$vw_magazine_custom_css .='@media screen and (max-width:575px) {';
		$vw_magazine_custom_css .='.datebox, .metabox{';
			$vw_magazine_custom_css .='display:block;';
		$vw_magazine_custom_css .='} }';
	}else if($vw_magazine_resp_metabox == false){
		$vw_magazine_custom_css .='@media screen and (max-width:575px) {';
		$vw_magazine_custom_css .='.datebox, .metabox{';
			$vw_magazine_custom_css .='display:none;';
		$vw_magazine_custom_css .='} }';
	}

	$vw_magazine_resp_sidebar = get_theme_mod( 'vw_magazine_sidebar_hide_show',true);
    if($vw_magazine_resp_sidebar == true){
    	$vw_magazine_custom_css .='@media screen and (max-width:575px) {';
		$vw_magazine_custom_css .='.sidebar{';
			$vw_magazine_custom_css .='display:block;';
		$vw_magazine_custom_css .='} }';
	}else if($vw_magazine_resp_sidebar == false){
		$vw_magazine_custom_css .='@media screen and (max-width:575px) {';
		$vw_magazine_custom_css .='.sidebar{';
			$vw_magazine_custom_css .='display:none;';
		$vw_magazine_custom_css .='} }';
	}

	$vw_magazine_resp_scroll_top = get_theme_mod( 'vw_magazine_resp_scroll_top_hide_show',true);
	if($vw_magazine_resp_scroll_top == true && get_theme_mod( 'vw_magazine_hide_show_scroll',true) != true){
    	$vw_magazine_custom_css .='.scrollup i{';
			$vw_magazine_custom_css .='visibility:hidden !important;';
		$vw_magazine_custom_css .='} ';
	}
    if($vw_magazine_resp_scroll_top == true){
    	$vw_magazine_custom_css .='@media screen and (max-width:575px) {';
		$vw_magazine_custom_css .='.scrollup i{';
			$vw_magazine_custom_css .='visibility:visible !important;';
		$vw_magazine_custom_css .='} }';
	}else if($vw_magazine_resp_scroll_top == false){
		$vw_magazine_custom_css .='@media screen and (max-width:575px){';
		$vw_magazine_custom_css .='.scrollup i{';
			$vw_magazine_custom_css .='visibility:hidden !important;';
		$vw_magazine_custom_css .='} }';
	}

	/*------------- Top Bar Settings ------------------*/

	$vw_magazine_topbar_padding_top_bottom = get_theme_mod('vw_magazine_topbar_padding_top_bottom');
	if($vw_magazine_topbar_padding_top_bottom != false){
		$vw_magazine_custom_css .='#top-bar{';
			$vw_magazine_custom_css .='padding-top: '.esc_attr($vw_magazine_topbar_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_magazine_topbar_padding_top_bottom).';';
		$vw_magazine_custom_css .='}';
	}

	/*-------------- Sticky Header Padding ----------------*/

	$vw_magazine_sticky_header_padding = get_theme_mod('vw_magazine_sticky_header_padding');
	if($vw_magazine_sticky_header_padding != false){
		$vw_magazine_custom_css .='.header-fixed{';
			$vw_magazine_custom_css .='padding: '.esc_attr($vw_magazine_sticky_header_padding).';';
		$vw_magazine_custom_css .='}';
	}

	/*------------------ Search Settings -----------------*/

	$vw_magazine_search_font_size = get_theme_mod('vw_magazine_search_font_size');
	if($vw_magazine_search_font_size != false){
		$vw_magazine_custom_css .='.search-box span i{';
			$vw_magazine_custom_css .='font-size: '.esc_attr($vw_magazine_search_font_size).';';
		$vw_magazine_custom_css .='}';
	}

	/*---------------- Button Settings ------------------*/

	$vw_magazine_button_padding_top_bottom = get_theme_mod('vw_magazine_button_padding_top_bottom');
	$vw_magazine_button_padding_left_right = get_theme_mod('vw_magazine_button_padding_left_right');
	if($vw_magazine_button_padding_top_bottom != false || $vw_magazine_button_padding_left_right != false){
		$vw_magazine_custom_css .='.blogbutton-small{';
			$vw_magazine_custom_css .='padding-top: '.esc_attr($vw_magazine_button_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_magazine_button_padding_top_bottom).';padding-left: '.esc_attr($vw_magazine_button_padding_left_right).';padding-right: '.esc_attr($vw_magazine_button_padding_left_right).';';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_button_border_radius = get_theme_mod('vw_magazine_button_border_radius');
	if($vw_magazine_button_border_radius != false){
		$vw_magazine_custom_css .='.blogbutton-small, .hvr-sweep-to-right:before{';
			$vw_magazine_custom_css .='border-radius: '.esc_attr($vw_magazine_button_border_radius).'px;';
		$vw_magazine_custom_css .='}';
	}

	/*------------- Single Blog Page------------------*/

	$vw_magazine_single_blog_post_navigation_show_hide = get_theme_mod('vw_magazine_single_blog_post_navigation_show_hide',true);
	if($vw_magazine_single_blog_post_navigation_show_hide != true){
		$vw_magazine_custom_css .='.post-navigation{';
			$vw_magazine_custom_css .='display: none;';
		$vw_magazine_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$vw_magazine_copyright_alingment = get_theme_mod('vw_magazine_copyright_alingment');
	if($vw_magazine_copyright_alingment != false){
		$vw_magazine_custom_css .='.copyright p{';
			$vw_magazine_custom_css .='text-align: '.esc_attr($vw_magazine_copyright_alingment).';';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_copyright_padding_top_bottom = get_theme_mod('vw_magazine_copyright_padding_top_bottom');
	if($vw_magazine_copyright_padding_top_bottom != false){
		$vw_magazine_custom_css .='.footer-2{';
			$vw_magazine_custom_css .='padding-top: '.esc_attr($vw_magazine_copyright_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_magazine_copyright_padding_top_bottom).';';
		$vw_magazine_custom_css .='}';
	}

	/*----------------Sroll to top Settings ------------------*/

	$vw_magazine_scroll_to_top_font_size = get_theme_mod('vw_magazine_scroll_to_top_font_size');
	if($vw_magazine_scroll_to_top_font_size != false){
		$vw_magazine_custom_css .='.scrollup i{';
			$vw_magazine_custom_css .='font-size: '.esc_attr($vw_magazine_scroll_to_top_font_size).';';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_scroll_to_top_padding = get_theme_mod('vw_magazine_scroll_to_top_padding');
	$vw_magazine_scroll_to_top_padding = get_theme_mod('vw_magazine_scroll_to_top_padding');
	if($vw_magazine_scroll_to_top_padding != false){
		$vw_magazine_custom_css .='.scrollup i{';
			$vw_magazine_custom_css .='padding-top: '.esc_attr($vw_magazine_scroll_to_top_padding).';padding-bottom: '.esc_attr($vw_magazine_scroll_to_top_padding).';';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_scroll_to_top_width = get_theme_mod('vw_magazine_scroll_to_top_width');
	if($vw_magazine_scroll_to_top_width != false){
		$vw_magazine_custom_css .='.scrollup i{';
			$vw_magazine_custom_css .='width: '.esc_attr($vw_magazine_scroll_to_top_width).';';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_scroll_to_top_height = get_theme_mod('vw_magazine_scroll_to_top_height');
	if($vw_magazine_scroll_to_top_height != false){
		$vw_magazine_custom_css .='.scrollup i{';
			$vw_magazine_custom_css .='height: '.esc_attr($vw_magazine_scroll_to_top_height).';';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_scroll_to_top_border_radius = get_theme_mod('vw_magazine_scroll_to_top_border_radius');
	if($vw_magazine_scroll_to_top_border_radius != false){
		$vw_magazine_custom_css .='.scrollup i{';
			$vw_magazine_custom_css .='border-radius: '.esc_attr($vw_magazine_scroll_to_top_border_radius).'px;';
		$vw_magazine_custom_css .='}';
	}

	/*----------------Social Icons Settings ------------------*/

	$vw_magazine_social_icon_font_size = get_theme_mod('vw_magazine_social_icon_font_size');
	if($vw_magazine_social_icon_font_size != false){
		$vw_magazine_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i, #top-bar .custom-social-icons a i{';
			$vw_magazine_custom_css .='font-size: '.esc_attr($vw_magazine_social_icon_font_size).';';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_social_icon_padding = get_theme_mod('vw_magazine_social_icon_padding');
	if($vw_magazine_social_icon_padding != false){
		$vw_magazine_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i{';
			$vw_magazine_custom_css .='padding: '.esc_attr($vw_magazine_social_icon_padding).';';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_social_icon_width = get_theme_mod('vw_magazine_social_icon_width');
	if($vw_magazine_social_icon_width != false){
		$vw_magazine_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i{';
			$vw_magazine_custom_css .='width: '.esc_attr($vw_magazine_social_icon_width).';';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_social_icon_height = get_theme_mod('vw_magazine_social_icon_height');
	if($vw_magazine_social_icon_height != false){
		$vw_magazine_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i{';
			$vw_magazine_custom_css .='height: '.esc_attr($vw_magazine_social_icon_height).';';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_social_icon_border_radius = get_theme_mod('vw_magazine_social_icon_border_radius');
	if($vw_magazine_social_icon_border_radius != false){
		$vw_magazine_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i{';
			$vw_magazine_custom_css .='border-radius: '.esc_attr($vw_magazine_social_icon_border_radius).'px;';
		$vw_magazine_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$vw_magazine_products_padding_top_bottom = get_theme_mod('vw_magazine_products_padding_top_bottom');
	if($vw_magazine_products_padding_top_bottom != false){
		$vw_magazine_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_magazine_custom_css .='padding-top: '.esc_attr($vw_magazine_products_padding_top_bottom).'!important; padding-bottom: '.esc_attr($vw_magazine_products_padding_top_bottom).'!important;';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_products_padding_left_right = get_theme_mod('vw_magazine_products_padding_left_right');
	if($vw_magazine_products_padding_left_right != false){
		$vw_magazine_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_magazine_custom_css .='padding-left: '.esc_attr($vw_magazine_products_padding_left_right).'!important; padding-right: '.esc_attr($vw_magazine_products_padding_left_right).'!important;';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_products_box_shadow = get_theme_mod('vw_magazine_products_box_shadow');
	if($vw_magazine_products_box_shadow != false){
		$vw_magazine_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$vw_magazine_custom_css .='box-shadow: '.esc_attr($vw_magazine_products_box_shadow).'px '.esc_attr($vw_magazine_products_box_shadow).'px '.esc_attr($vw_magazine_products_box_shadow).'px #ddd;';
		$vw_magazine_custom_css .='}';
	}

	$vw_magazine_products_border_radius = get_theme_mod('vw_magazine_products_border_radius');
	if($vw_magazine_products_border_radius != false){
		$vw_magazine_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_magazine_custom_css .='border-radius: '.esc_attr($vw_magazine_products_border_radius).'px;';
		$vw_magazine_custom_css .='}';
	}